Page MenuHomeVyOS Platform

VyOS Beta, location of 'iw' changed in debian from /usr/sbin/iw to /sbin/iw
Closed, ResolvedPublic

Description

Tested with: vyos-999.201702272137

the location of iw (wireless config) has changed in debian, it is no longer living in /usr/sbin/iw but rather has moved to /sbin/iw, therefor the wireless configuration fails not able to find the command.

Workaround: make a simlink from /usr/sbin/iw to /sbin/iw

Details

Difficulty level
Easy (less than an hour)
Version
vyos-999.201702272137
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

flash created this task.Feb 28 2017, 5:40 PM
flash set Version to vyos-999.201702272137.
syncer reassigned this task from syncer to UnicronNL.Aug 1 2017, 3:39 AM
syncer triaged this task as Normal priority.
syncer moved this task from Need Triage to Backlog on the VyOS 1.2 Crux board.
syncer added subscribers: UnicronNL, syncer.

@UnicronNL moving this to backlog

syncer changed the edit policy from "Public (No Login Required)" to "Custom Policy".Aug 27 2017, 1:31 PM
syncer removed subscribers: syncer, UnicronNL, Community.
syncer added subscribers: max1e6, xrobau, UnicronNL.
c-po added a subscriber: c-po.Aug 27 2017, 3:59 PM

Please see: https://github.com/vyos/vyatta-wireless/pull/6 this should fix the wrong path issue!

syncer closed this task as Resolved.Aug 27 2017, 4:03 PM
syncer reassigned this task from UnicronNL to c-po.
syncer moved this task from Backlog to In Progress on the VyOS 1.2 Crux board.
syncer added a subscriber: dmbaturin.

@dmbaturin merged it into
Thanks @c-po

syncer moved this task from In Progress to Finished on the VyOS 1.2 Crux board.Oct 15 2018, 5:26 AM